# Patch to modify correct setup for gardenshed
kind: ConfigMap
apiVersion: v1
metadata:
  name: rook-ceph-operator-config
  namespace: rook-ceph
data:
  # The logging level for the operator: ERROR | WARNING | INFO | DEBUG
  ROOK_LOG_LEVEL: "INFO"

  # Disable the CSI driver.
  ROOK_CSI_ENABLE_CEPHFS: "false"

  # Disable the default version of the CSI RBD driver. To start another version of the CSI driver, see image properties below.
  ROOK_CSI_ENABLE_RBD: "false"

  # Disable the CSI NFS driver. To start another version of the CSI driver, see image properties below.
  ROOK_CSI_ENABLE_NFS: "false"

  # Set to true to enable Ceph CSI pvc encryption support.
  CSI_ENABLE_ENCRYPTION: "false"

  # Set replicas for csi provisioner deployment.
  # FIXME: Change back to 2 or remove line
  #        This settings is only recommended for dev, as there is only 1 monitor-node available
  CSI_PROVISIONER_REPLICAS: "1"

  # set to false to disable deployment of snapshotter container in CephFS provisioner pod.
  CSI_ENABLE_CEPHFS_SNAPSHOTTER: "false"

  # set to false to disable deployment of snapshotter container in RBD provisioner pod.
  CSI_ENABLE_RBD_SNAPSHOTTER: "false"

  # Disable cephfs kernel driver instead of ceph-fuse.
  CSI_FORCE_CEPHFS_KERNEL_CLIENT: "false"

  # CephCSI provisioner NodeAffinity(applied to both CephFS and RBD provisioner).
  CSI_PROVISIONER_NODE_AFFINITY: "role=osd-node"

  CSI_ENABLE_NFS_SNAPSHOTTER: "false"
